@charset "UTF-8";

@media screen and (max-width: 1400px) {
	.dashboard-group {
		padding: 20px;
	}
}

@media screen and (max-width: 1260px) {
	.content-row {
		flex-direction: column;
	}
	.api-list {
		width: 100%;
	}
	.api-detail {
		width: 100%;
	}
}

@media screen and (max-width: 1200px) {
	.top-mega-menu .menu.admin li {
		width: 110px;
	}
	.mega-menu.admin .mega-menu-column-item {
		width: 110px;
	}
	.information-list li.information-item.half {
		flex: none;
		width: 100%;
	}
	button.p-sm {
		padding: 3px 10px;
	}
	.content-row {
		flex-direction: column;
		padding: 10px;
	}
	.list-table-list {
		padding: 5px;
	}
	.list-table-item {
		max-height: 112px;
	}
}

@media screen and (max-width: 950px) {
	.dashboard-list:nth-child(2) {
		flex-direction: column;
	}
}

@media screen and (max-width: 1024px) {
	.top-mega-menu .menu.admin li{
		width: 100%;
	}
	.list_opentype {
		display: none !important;
	}
	.information-title, .search-item .search-title {
		min-width: 180px;
	}
	.new-pw-item {
		width: 100%;
	}
	.admin-section-first {
		width: 100%;
		height: 100%;
		justify-content: center;
	}
	.login-wrapper {
		width: 100%;
	}
	.luser-section-bc {
		width: 100%;
	}
	.dashboard-item:nth-child(2) {
		flex: 1;
	}
	.std-data-item {
		font-size: 10px;
	}
	.top-mega-menu .member .log-before,
	.top-mega-menu .member .log-after{
	height: 58px;
	}
}

/* 테블릿 (예: 768 이하) */
@media screen and (max-width:768px) {
	.std-data-item {
		font-size: 14px;
	}
	.admin-wrap {
		height: 100%;
		justify-content: flex-start;
	}
	.luser-mid-section {
		height: 100%;
		flex-direction: column-reverse;
		display: flex;
	}
	.mobile-custom-select {
		display: block;
	}
	.luser-logintext-group {
		flex: 0.5;
		border-radius: inherit;
		padding: 10px;
	}
	.docscontent-content {
		padding: 10px;
	}
	.content-sub {
		padding: 10px;
	}
	.search-btn {
		width: 100%;
		padding: 5px;
	}
	.content-title h2 {
		font-size: 17px;
	}
	.search-area input[type="text"] {
		width: 100%;
	}
	.search-btn .btn-navy {
		width: 100%;
	}
	.search-table-item {
		flex-wrap: wrap;
		gap: 10px;
		flex-direction: row;
	}
	.search-table-list {
		width: calc(50% - 5px);
		display: block;
		border: 1px solid #ddd;
	}
	.search-table-title {
		display: none !important;
	}
	.search-table-list ul {
		padding: 10px;
		line-height: 1.8;
		flex-direction: column;
		position: relative;
		gap: 5px;
	}
	.search-table-list ul li.date-space {
		justify-content: end;
	}
	.search-table-list.none {
		width: 100%;
	}
	.search-table-list ul li {
		padding: 0px;
		flex: none;
		width: 100%;
		justify-content: flex-start;
		text-align: left;
	}
	.search-table-list.none ul li {
		justify-content: center;
	}
	.font-big {
		font-size: 17px;
		font-weight: bold;
	}
	.search-table-list ul li.position-right-top {
		position: absolute;
		right: 10px;
		justify-content: end;
	}
	.search-table-list ul li.position-right-bottom {
		position: absolute;
		right: 10px;
		width: fit-content;
		bottom: 10px;
	}
	.search-table-list li span.approval, .search-table-list li span.audit,
		.search-table-list li span.secession {
		position: absolute;
		right: 5px;
		top: 5px;
	}
	.search-table-list ul li.line-break {
		display: -webkit-box;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 2;
		overflow: hidden;
		text-overflow: ellipsis;
		word-break: break-word;
		font-size: 17px;
		font-weight: 600;
		margin: 0;
		white-space: normal;
		text-align: justify;
		line-height: 1.3;
		min-height: 47px;
	}
	.dispose span {
		border: 1px solid #eb0000;
		padding: 5px;
		border-radius: 5px;
		color: #eb0000;
		background-color: #fff2f2;
		padding: 2px 5px;
	}
	.search-total-num {
		justify-content: end;
	}
	.menu-text-title {
		padding: 10px;
	}
	.search-table-list ul li span.pc {
		position: absolute;
		right: 10px;
		padding: 10px;
		background-color: #ffbdbd;
		border-radius: 100%;
		height: 50px;
		width: 50px;
		display: flex;
		bottom: 10px;
		white-space: nowrap;
		align-items: center;
		justify-content: center;
	}
	.search-table-list ul li.line-short.views {
		position: absolute;
		width: fit-content;
		margin-left: 20px;
	}
	.search-table-list ul li.line-short.comment {
		position: absolute;
		width: fit-content;
		margin-left: 27px;
	}
	.search-table-list ul li span.tab {
		position: absolute;
		right: 10px;
		padding: 10px;
		background-color: #ddd;
		border-radius: 100%;
		height: 50px;
		width: 50px;
		display: flex;
		bottom: 10px;
		white-space: nowrap;
		align-items: center;
		justify-content: center;
	}
	.search-table-list ul li span.mob {
		position: absolute;
		right: 10px;
		padding: 10px;
		background-color: #c6e7ff;
		border-radius: 100%;
		height: 50px;
		width: 50px;
		display: flex;
		bottom: 10px;
		white-space: nowrap;
		align-items: center;
		justify-content: center;
	}
	.information-item .information-box {
		flex-wrap: wrap;
		padding: 10px 0;
	}
	.information-title, .search-item .search-title {
		min-width: 100px;
		width: 100px;
		align-items: center;
		display: inline-block;
	}
	.information-text {
		display: flex;
		gap: 5px;
		padding: 5px 0;
	}
	.position {
		position: absolute;
		right: 0;
	}
	.position-bottom {
		position: absolute;
		right: 0;
		bottom: 0;
	}
	.issued {
		border: 1px solid #178fe5;
		padding: 0 3px;
		border-radius: 5px;
		background-color: #fff;
		color: #178fe5;
	}
	.no-issued {
		border: 1px solid #999;
		padding: 0 3px;
		border-radius: 5px;
		background-color: #fff;
		color: #999;
	}
	.search-table-list ul a {
		display: flex;
		width: 100%;
		align-items: center;
		flex-direction: column;
	}
	.search-table-list ul label.db-name {
		width: 60px;
		text-align: left;
		display: flex;
		font-size: 11px;
		display: flex;
	}
	.api-list {
		flex-direction: row;
		width: 100%;
		justify-content: left;
		position: relative;
		align-items: center;
		flex: 1;
		gap: 0;
	}
	.list-title {
		position: absolute;
		right: 0;
	}
	.list-title h4 {
		display: none;
	}
	.list-table-group {
		width: calc(100% - 50px);
	}
	.mobile-custom-select {
		position: relative;
		width: 100%;
		font-size: 14px;
	}
	.mobile-custom-select .selected {
		border: 1px solid #ccc;
		padding: 3px 5px;
		cursor: pointer;
		background: #fff;
		position: relative;
		user-select: none;
		border-radius: 5px;
	}
	.mobile-custom-select .selected::after {
		content: "▼";
		position: absolute;
		right: 12px;
		top: 50%;
		transform: translateY(-50%);
		font-size: 9px;
		color: #555;
		pointer-events: none;
	}
	.mobile-custom-select .options {
		display: none;
		position: absolute;
		top: 100%;
		left: 0;
		width: 100%;
		max-height: 150px;
		overflow-y: auto;
		border: 1px solid #ccc;
		background: #fff;
		z-index: 9999;
		border-radius: 5px;
		margin-top: 5px;
	}
	.mobile-custom-select .options li {
		padding: 8px 12px;
		cursor: pointer;
	}
	.mobile-custom-select .options li:hover {
		background-color: #f0f0f0;
	}
	.has-member {
		width: 100%;
		flex-direction: column;
	}
	.btn-blue-bor2, .btn-blue2 {
		width: 100%;
	}

	/*************/
	.data-item {
		border: 1px solid #ddd;
		padding: 10px;
		border-radius: 5px;
	}
	.grid-table {
		border: none;
		gap: 10px;
	}
	.grid-table .table-header {
		display: none;
	}
	.data-rows {
		display: flex;
		flex-direction: column;
		gap: 10px;
	}
	.data-rows .row {
		display: flex;
		padding: 0px;
		width: 100%;
		flex-direction: column !important;
		gap: 5px;
	}
	.cell {
		display: inline-block;
		border: none;
		padding: 0;
		align-items: baseline;
		text-align: left;
		word-break: break-all;
		width: 100%;
	}
	.btn-50 {
		width: 50%;
	}
	.data-rows .row.row-2 {
		padding: 0;
		flex-direction: row !important;
		gap: 10px;
		align-items: center;
		display: inline-block;
		width: 100%;
	}
	.cell button {
		width: calc(100% - 5px);
	}
	.dispose-date {
		width: 50%;
		margin-top: 10px;
		text-align: center;
		color: #ff0000;
	}
	.cell.point-text {
		right: 0;
		text-align: end;
		width: fit-content;
		border: 1px solid #2d50ff;
		border-radius: 5px;
		padding: 1px 5px;
		color: #2d50ff;
		font-weight: 600;
		position: absolute;
	}
	.data-term-tree {
		flex-direction: column;
		gap: 10px;
	}
	.data-term-tree>ul:first-child, .data-term-tree>ul:last-child {
		width: 100%;
	}
	.data-term-tree>ul:first-child>li>ul {
		flex-direction: column;
	}
	.site-map-list-group {
		flex-direction: column;
		gap: 10px;
	}
	.site-map-list-group h2 {
		min-width: 100%;
		width: 100%;
	}
	.site-map-content-top ul.site-map-item li>a {
		width: 100px;
	}
	.site-map-content-top ul.site-map-item {
		justify-content: center;
		width: 100%;
	}
	.site-map-content-top ul.site-map-item li {
		flex: 1;
		width: 100%;
	}
	.site-map-content-top ul.site-map-item li>a {
		width: 100%;
	}
	.site-map-content-top ul {
		gap: 20px;
	}
	.dashboard-list-item {
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		gap: 10px;
	}
	.dashboard-list-item div.dashboard-list-con {
		position: relative;
		cursor: pointer;
		width: 100%;
	}
	.list-table-group.column {
		width: 100%;
	}
}

@media screen and (max-width: 680px) {
	.period-area {
		flex-direction: column;
		align-items: normal;
	}
	.date-start, .date-end {
		width: 100%;
	}
	.date-group {
		width: 100%;
	}
}

/* 아주 작은 화면 (예: 480px 이하) */
@media screen and (max-width: 480px) {
	.has-member {
		padding: 10px;
	}
	.admin-wrap {
		padding: 20px;
	}
	.search-item .search-box {
		width: calc(100% - 80px);
		gap: 0px;
		padding: 5px;
	}
	.search-area.in-name {
		padding: 0px 5px;
	}
	.search-table-list ul li:last-child {
		text-align: right;
	}
	.search-table-list {
		width: 100%;
	}
	.search-item .search-title {
		min-width: 80px;
		width: 80px;
	}
	.reply-group {
		padding: 0 10px;
		display: flex;
		flex-direction: column;
		gap: 10px;
	}
	.reply-group-2 {
		display: flex;
		flex-direction: column;
		gap: 10px;
		padding: 0 15px;
	}
	.notice-top-group {
		flex-direction: column;
		align-items: normal;
	}
	.date-inputs-group {
		gap: 3px;
	}
	.c-step-wrap {
		display: none;
	}
	.f_wrap {
		flex-direction: column;
		align-items: flex-start;
	}
	.f_field .ff_wrap {
		width: 100%;
	}
	.f_field .ff_title {
		width: 100%;
	}
	.f_warning {
		width: 100%;
		margin: 0;
		text-indent: 0;
	}
	.usser-info-sub-group {
		gap: 20px;
	}
	.user-info-wrapper {
		gap: 0px;
	}
	.docscontent-content {
		padding: 0px;
	}
	.user-info-sub-wrapper {
		padding: 10px;
	}
	.btn-center {
		margin-bottom: 10px;
		padding: 0 10px;
	}
	.user-info-text {
		align-items: flex-start;
	}
	.f_field input {
		padding: 10px 0;
	}
	.select.email, .select.affiliation {
		padding-left: 0;
	}
	.form-check {
		display: flex;
		gap: 5px;
		justify-content: flex-start;
	}
	.new-pw-group {
		padding: 0 10px;
	}
	.user-info-text span.subtext {
		text-align: justify;
	}
	.new-pw-item {
		width: 100%;
		flex-direction: column;
		align-items: flex-start;
	}
	.new-pw-inp {
		width: 100%;
	}
	.btn-blue-bor2 {
		width: 100%;
	}
	.btn-blue2 {
		width: 100%;
	}
	.auth-after {
		gap: 0;
	}
	.attach-wrap {
		display: flex;
		flex-direction: column;
		gap: 5px;
	}
	.attach-list {
		width: 100%;
		padding: 0;
	}
	.data-term-card.active {
		width: calc(100% - 20px) !important;
		height: 400px;
	}
	.site-map {
		gap: 20px;
	}
	.site-map-title {
		width: 100%;
	}
	.site-map-title a {
		width: 100%;
	}
	.site-map-title a span {
		font-size: 15px;
		width: 100%;
		text-align: center;
	}
	.dashboard-item {
		gap: 10px;
		padding: 10px;
	}
	.dashboard-content-group {
		padding: 0;
		height: 100%;
	}
	.dashboard-group {
		gap: 10px;
		padding: 10px;
	}
	.dashboard-list:nth-child(2) {
		gap: 10px;
	}
	.dashboard-list-item div.dashboard-list-con {
		padding: 20px 10px;
	}
	.content-sub-row {
		flex-direction: column;
	}
}

/* 폰보다 작은 화면 (예: 360px 이하) */
@media screen and (max-width: 360px) {
	.information-area {
		margin-right: 0px;
		margin-bottom: 5px;
		justify-content: center;
	}
	.search-wrap ul {
		border: 1px solid #ddd;
	}
	.search-item {
		flex-direction: column;
		width: 100%;
	}
	.search-wrap ul li.search-item:first-child {
		border-top: none;
	}
	.search-item .search-title {
		width: 100%;
		justify-content: center;
		border-right: none;
	}
	.search-item .search-box {
		justify-content: center;
		width: 100%;
	}
	.search-wrap ul li.search-item {
		border: none;
	}
	.information-list li.information-item {
		flex-direction: column;
	}
	.information-title, .search-item .search-title {
		min-width: 100%;
		width: 100%;
		border-bottom: 1px solid #ddd;
	}
	.information-text {
		width: 100%;
		text-align: center;
		padding: 5px;
		justify-content: center;
	}
	.information-item .information-box {
		justify-content: center;
		gap: 0;
	}
	.search-area.in-name {
		padding: 10px;
	}
	.date-range {
		flex-direction: column;
	}
	.date-inputs {
		width: 100%;
	}
	.information-list li.information-item.half {
		gap: 5px;
	}
	.date-inputs-group {
		padding: 5px;
	}
	.mobile-custom-select .selected {
		font-size: 12px;
	}
	.result-box {
		padding: 10px;
	}
	.name-box {
		flex-direction: column;
	}
	.site-map-content-top ul.site-map-item li>a>span {
		font-size: 12px;
	}
}